> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order details based on the generated Order reference

> Use this endpoint to fetch a single checkout order, using the order reference that was returned when the Order was created



## OpenAPI

````yaml get /v1/checkout/order/{orderReference}
openapi: 3.0.1
info:
  description: ''
  title: Vendor API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.nomba.com
  - description: Sandbox
    url: https://sandbox.nomba.com
security: []
tags:
  - name: Authenticate
  - name: Accounts
  - name: Virtual Accounts
  - name: Online Checkout
  - name: Charge
  - name: Transfers
  - name: Direct Debits
  - name: Terminals
  - name: Transactions
  - name: Airtime and Data Vending
  - name: Electricity Vending
  - name: CableTV Subscription
  - name: Betting Vending
paths:
  /v1/checkout/order/{orderReference}:
    get:
      tags:
        - Charge
      summary: Get Order details based on the generated Order reference
      description: >-
        Use this endpoint to fetch a single checkout order, using the order
        reference that was returned when the Order was created
      operationId: Fetch Checkout order details
      parameters:
        - description: Order reference
          example: 693cd007-cd1e-4ea6-8b79-5f5c4d7a83ea
          in: path
          name: orderReference
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '00'
                    description: Response Code
                  description:
                    type: string
                    example: Success
                    description: Response description
                  data:
                    $ref: '#/components/schemas/GetOrderDetails'
                required:
                  - code
                  - description
                  - data
          description: OK - your request was successful.
          headers:
            X-Rate-Limit-Limit:
              description: The number of allowed requests in the current period
              schema:
                type: string
                example: '40'
            X-Rate-Limit-Remaining:
              description: The number of remaining requests in the current period
              schema:
                type: string
                example: '39'
            X-Rate-Limit-Window:
              description: The specified rate limit window
              schema:
                type: string
                example: 1s
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
          description: The request body sent by merchant did not pass the validation checks
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          description: >-
            The access_token provided to access the resource is missing or
            invalid.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationError'
          description: The client does not have the permissions to access this resource
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordNotFoundError'
          description: The record that the client is trying to access does not exist.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: >-
            The client has maxed out the number of calls within a time period on
            this resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
          description: Downstream system error.
      security:
        - BearerAuth: []
components:
  schemas:
    GetOrderDetails:
      type: object
      properties:
        order:
          $ref: '#/components/schemas/OrderDetailsObject'
        hasSavedCards:
          type: boolean
          description: true if the user has saved cards
          example: 'true'
        base64EncodedRsaPublicKey:
          type: string
          description: >-
            Base64 encoded RSA public key, returned if data encryption is
            enabled to submit the card details, else an empty string
          example: '5844858382'
    RequestError:
      type: object
      description: Request Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '400'
        description:
          type: string
          description: Additional details about the error.
          example: Request failed.
    AuthenticationError:
      type: object
      description: Authentication Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '401'
        description:
          type: string
          description: Additional details about the error.
          example: Unauthorized
    AuthorizationError:
      type: object
      description: Permissions error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '403'
        description:
          type: string
          description: Additional details about the error.
          example: Forbidden
    RecordNotFoundError:
      type: object
      description: Record-Not-Found error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '404'
        description:
          type: string
          description: Additional details about the error.
          example: Record not found
    RateLimitError:
      type: object
      description: Rate-limit error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '429'
        description:
          type: string
          description: Additional details about the error.
          example: Too many requests
    ServerError:
      type: object
      description: Server error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '500'
        description:
          type: string
          description: Additional details about the error.
          example: Server error
    OrderDetailsObject:
      type: object
      properties:
        orderId:
          type: string
          description: Id generated by Nomba for the checkout order
          example: 56e03654-0c32-4d3e-bbd6-a9df22994a12
        orderReference:
          type: string
          description: Reference of the online checkout order to be created
          example: 90e81e8a-bc14-4ebf-89c0-57da752cca58
        customerId:
          type: string
          description: Customer id
          example: '762878332454'
        accountId:
          type: string
          description: The account Id whose wallet will be credited when the order is paid
          example: 56e03654-0c32-4d3e-bbd6-a9df22994a12
        callbackUrl:
          type: string
          description: Merchant callback url for redirect after payment
          example: https://ip:port/merchant.com/callback
        customerEmail:
          type: string
          description: Customer email
          example: abcde@gmail.com
        amount:
          type: number
          format: double
          description: Amount to pay
          example: '10000.00'
        currency:
          type: string
          description: Currency of the money
          enum:
            - NGN
          example: NGN
        businessName:
          type: string
          description: Business Name
          example: Merchant Ltd
        businessEmail:
          type: string
          description: Business email
          example: abcde@gmail.com
        businessLogo:
          type: string
          description: Link to business logo
          example: https://ip:port/merchant.com/logo
  securitySchemes:
    BearerAuth:
      description: >-
        Nomba authenticates API calls with [OAuth2 HTTP bearer
        tokens](http://tools.ietf.org/html/rfc6750). There are two methods of
        authentication; [Client-Credentials
        method](https://www.rfc-editor.org/rfc/rfc6749) and [PKCE (Proof Key for
        Code Exchange)](https://www.rfc-editor.org/rfc/rfc7636) method. In each
        of the methods, You will get an `ACCESS_TOKEN`. You need to use an
        `"Authorization"` HTTP header to provide your `ACCESS_TOKEN`. For
        example: `Authorization: {ACCESS_TOKEN}`.
      scheme: bearer
      type: http
      bearerFormat: JWT

````